/* DRAGON LOOT CSS - V0.6 */

/* ÉCRITURE / FONT */ 
    .cinzel {
        font-family: 'Cinzel', serif !important;
    }

/* TOAST */
    .colored-toast.swal2-icon-success {
        background-color: #39813f !important;
    }
    
    .colored-toast.swal2-icon-error {
        background-color: #c43f3f !important;
    }

    .colored-toast.swal2-icon-warning {
        background-color: #ce6300 !important;
    }

    .colored-toast.swal2-icon-info {
        background-color: #018cbb !important;
    }

    .colored-toast.swal2-icon-question {
        background-color: #8a00b4 !important;
    }

    .colored-toast .swal2-title {
        color: white;
    }

/* SWAL2 */
    .swal2-modal {
        background-color: rgba(0,0,0,0.8) !important;
        color: #fff !important;
    }

    .swal2-title, .swal2-text, .swal2-html-container {
        color: #fff !important;
    }

/* SCROLL */
    ::-webkit-scrollbar-track
    {
        background-color: #555;
    }

    ::-webkit-scrollbar
    {
        width: 10px;
        background-color: #555;
    }

    ::-webkit-scrollbar-thumb
    {
        background-color: goldenrod;
        background-image: -webkit-linear-gradient(90deg,
            rgba(0, 0, 0, .2) 25%,
            transparent 25%,
            transparent 50%,
            rgba(0, 0, 0, .2) 50%,
            rgba(0, 0, 0, .2) 75%,
            transparent 75%,
            transparent)
    }

/* BOUTONS */ 
    .btn-primary {
        background-color:#a06001 !important;
        box-shadow: 0 4px 9px -4px #a06001 !important;
        border-color: #a06001 !important;
    }

    .btn-primary:hover {
        background-color:#724400 !important;
    }

    .btn-secondary {
        background-color:#01a093 !important;
        box-shadow: 0 4px 9px -4px #01a093 !important;
        border-color: #01a093 !important;
    }

    .btn-secondary:hover {
        background-color:#00635b !important;
    }

    /* RESPONSIVE - TAILLES D'ÉCRAN */

    /* Pour les écrans ≤ 576px (sm et moins) */
    @media (max-width: 576px) {
        .btn-principal-lg {
            display:none !important;
        }
    }

    /* Pour les écrans > 576px (plus grand que sm) */
    @media (min-width: 577px) {
        .btn-principal-sm {
            display:none !important;
        }
    }

    .btn-principal-lg {
        border-top-left-radius:0 !important;
        border-top-right-radius:0 !important;
        border-bottom-left-radius:0 !important;
        position:fixed;
        top:0;
        left:0;
        z-index:3;
        border-right:solid 1px #040404 !important;
        border-bottom:solid 1px #040404 !important;
    }

    .btn-principal-sm {
        border-top-left-radius:0 !important;
        border-bottom-left-radius:0 !important;
        border-bottom-right-radius:0 !important;
        position:fixed;
        bottom:16px;
        left:0;
        z-index:3;
        border-right:solid 1px #040404 !important;
        border-top:solid 1px #040404 !important;
    }

    .btn-premium {
        border-top-right-radius:0 !important;
        border-bottom-left-radius:0 !important;
        border-bottom-right-radius:0 !important;
        position:fixed;
        bottom:16px;
        right:0px;
        z-index:3;
        border-left:solid 1px #040404 !important;
        border-top:solid 1px #040404 !important;
    }

/* IMAGE - BLOCK GLISS */
    .selector {
        user-zoom: none;
        -webkit-user-drag: none;
        user-select: none;
        -moz-user-select: none;
        -webkit-user-select: none;
        -ms-user-select: none;
    }

/* FONDS */
    .bg-noir {
        background-color:rgba(37, 37, 37, 100) !important;
    }

    .bg-dark-or {
        background-color: #a06001 !important;
    }

/* TEXTE */
    .text-or {
        color: goldenrod;
    }

    .text-bg-or {
        background-color: goldenrod !important;
        color: #fff !important;
    }

    .text-brun {
        color: #724400;
    }

/* BORDURES */
    .bordure-or-grad {
        border-top: 3px solid;
        border-left: 3px solid;
        border-right: 3px solid;
        border-image: linear-gradient(to bottom,goldenrod,black) 1;
    }
    .bordure-vert-grad {
        border-top: 3px solid;
        border-left: 3px solid;
        border-right: 3px solid;
        border-image: linear-gradient(to bottom,lightgreen,black) 1;
    }
    .bordure-rouge-grad {
        border-top: 3px solid;
        border-left: 3px solid;
        border-right: 3px solid;
        border-image: linear-gradient(to bottom,lightcoral,black) 1;
    }

/* NIVEAU MAITRE */
    .hid-tri {
        color:#2a0000;
    }

    .tri-A01:not(.tri-ON),
    .tri-B02:not(.tri-ON),
    .tri-C03:not(.tri-ON),
    .tri-D04:not(.tri-ON),
    .tri-E05:not(.tri-ON),
    .tri-F06:not(.tri-ON),
    .tri-G07:not(.tri-ON),
    .tri-H08:not(.tri-ON),
    .tri-I09:not(.tri-ON) {
        color:#ffffff;
        opacity: 0.4;
    }

    .tri-A01.tri-ON {
        color:lightblue !important;
        opacity: 1 !important;
    }
    .tri-B02.tri-ON {
        color:lightcoral !important;
        opacity: 1 !important;
    }
    .tri-C03.tri-ON {
        color:lightgreen !important;
        opacity: 1 !important;
    }
    .tri-D04.tri-ON {
        color:lightyellow !important;
        opacity: 1 !important;
    }
    .tri-E05.tri-ON {
        color:lightsalmon !important;
        opacity: 1 !important;
    }
    .tri-F06.tri-ON {
        color:white !important;
        opacity: 1 !important;
    }
    .tri-G07.tri-ON {
        color:lightblue !important;
        opacity: 1 !important;
    }
    .tri-H08.tri-ON {
        color:lightblue !important;
        opacity: 1 !important;
    }
    .tri-I09.tri-ON {
        color:lightblue !important;
        opacity: 1 !important;
    }

/* MENUS */
    .menu-principal-lg {
        position:fixed;
        top:0;
        left:0;
        min-width:250px;
        min-height:100px;
        border-bottom-right-radius:0.5em;
        border-right:solid 1px #040404 !important;
        border-bottom:solid 1px #040404!important;
    }

    .menu-important {
        position:fixed;
        top:0;
        right:0;
        border-bottom-left-radius:0.5em;
        border-left:solid 1px #040404 !important;
        border-bottom:solid 1px #040404 !important;
    }

    .menu-index-news {
        top:20%;
        right:0;
        position:absolute;
        max-width:20vw;
        background-color:rgba(214, 153, 0, 0.6);
        border: solid goldenrod 2px;
        padding:5px 10px 5px 10px;
        border-bottom-left-radius:15px;
        border-top-left-radius:15px;
        z-index:5;
    }

/* AUTRES */

    .h-95 {
        height:95% !important;
    }

    .h-90 {
        height:90% !important;
    }